/***************************************************************************
 *   Copyright (C) 2007 by    *
 *      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef acsklystat_H
#define acsklystat_H

#include "ui_acsklystat.h"
#include <tango.h>
#include <QProcess>
#include <QSettings>

class acsklystat: public QWidget
{
    Q_OBJECT

public:
    acsklystat(QWidget * =NULL);
    ~acsklystat();

public slots:
    void refresh();
    void open_inhibithvks();
    void open_inhibithvk1();
    void open_inhibithvk2();
    void open_inhibithvk3();
    void open_inhibithvk4();
    void open_inhibithvk5();
    void open_inhibithvk6();
    void open_inhibithvk7();
    void open_inhibithvk8();
    void open_inhibithvk9();
    void open_inhibithvk10();
    void open_inhibithvk11();
    void open_inhibithvk12();
    void open_inhibithvk13();
    void open_inhibithvk14();
    void open_inhibithvk15();
    void open_inhibithvk16();
    void open_inhibithv();
    void open_inhibitrfks();
    void open_inhibitrfk1();
    void open_inhibitrfk2();
    void open_inhibitrf();


private:
    Ui::acsklystat ui;
    bool master;
    QTimer *timer;
    Tango::DeviceAttribute myAttribute;
    Tango::DeviceProxy 	*plc_server;
    int myReadBoolArray(const char *, vector<bool> &);
    int myReadAttribute(const char *);
    int myWriteCommand(const char *);
    int mySetColor(QFrame *widget, const char *color, QPalette::ColorRole role);
    int mySetTextColor(QLabel *, const char *, const char *);
    int refreshCount;
    QString imgpath;
    QString style;
    QProcess *inhibithvks_process;
    QProcess *inhibithvk1_process;
    QProcess *inhibithvk2_process;
    QProcess *inhibithvk3_process;
    QProcess *inhibithvk4_process;
    QProcess *inhibithvk5_process;
    QProcess *inhibithvk6_process;
    QProcess *inhibithvk7_process;
    QProcess *inhibithvk8_process;
    QProcess *inhibithvk9_process;
    QProcess *inhibithvk10_process;
    QProcess *inhibithvk11_process;
    QProcess *inhibithvk12_process;
    QProcess *inhibithvk13_process;
    QProcess *inhibithvk14_process;
    QProcess *inhibithvk15_process;
    QProcess *inhibithvk16_process;
    QProcess *inhibithv_process;
    QProcess *inhibitrfks_process;
    QProcess *inhibitrfk1_process;
    QProcess *inhibitrfk2_process;
    QProcess *inhibitrf_process;
};

#endif
